document.addEventListener("DOMContentLoaded", function() {



  /**
   * Profile form : submit
   */

  var formWrapper = $(".kw-profile-form__form"),
      resultsWrapper = $(".kw-results"),
      globalWrapper = $(".kw-profile-form"),
      resetButton = $(".kw-results__cta"),
      resultAnswerWrapper = $(".kw-results__qa");

  formWrapper.submit(function(event) {
    
    event.preventDefault();

    var answers = $(".kw-profile-form__selector"),
        answer1 = $("#kw-form-sunshine").val(),
        answer2 = $("#kw-form-skin").val(),
        answer3 = $("#kw-form-environment").val(),
        textAnswers = $(".kw-profile-form__selector option:selected").map(function() {
          return $(this).text();
        });

    // Remove invalid classes on select if they were empty during previous submit.
    $(answers).removeClass("js-field-needed");

    // Check if all field have values > 0
    if (answer1 > 0 && answer2 > 0 && answer3 > 0) {

      // The 1st answer set a specific image for each result.
      $(".kw-results__part-1 img").attr("src", "/sites/files-lt/projects/intense-protect/assets//images/results-" + answer1 + ".jpg");
      // It also set a numbered class in order to display specific notes for the Tattoo answer.
      $(".kw-results__part-2").addClass("kw-specific-answer--" + answer1);

      // The 2nd select (answer) defines some blocks order.
      setCombination(answer2);

      // Display all answers in results block.
      for (i = 0; i <= resultAnswerWrapper.length; i++) {
        var j = i + 1;
        $(".kw-results__qa:nth-child(" + j +") .kw-results__a").text(textAnswers[i]);
      }

      // Display results (and hide form)
      globalWrapper.addClass("kw-open-results");
      resultsWrapper.animate({
        height: resultsWrapper.prop("scrollHeight"),
        opacity: 1
      });
      formWrapper.animate({
        height: 0,
        opacity: 0
      });

    } else {

      for (k = 0; k <= answers.length; k++) {
        var needAnswer = $(answers[k]).val();
        if (needAnswer == 0) {
          $(answers[k]).addClass("js-field-needed");
        }
      }

    }
    

  });



  /**
   * Profile form : reset
   */

  resetButton.on("click", resetForm);

  function resetForm() {
    var question1 = $("#kw-form-sunshine").val(0),
        question2 = $("#kw-form-skin").val(0),
        question3 = $("#kw-form-environment").val(0),
        formTop = $(".kw-js-form-reset-scrolltop").offset().top;

    // Remove "open-results" specific classes.
    globalWrapper.removeClass("kw-open-results");
    $(".kw-results__part-2").removeClass (function (index, className) {
      return (className.match (/(^|\s)kw-specific-answer-\S+/g) || []).join(' ');
    });

    // Hide results and display form again
    resultsWrapper.animate({
      height: 0,
      opacity: 0
    });
    formWrapper.animate({
      height: formWrapper.prop("scrollHeight") + 30,
      opacity: 1
    });

    // Scroll back to form top
    $("html, body").animate( { scrollTop: formTop - 200 }, 500);

  }


  /**
   * Get URL parameters
   */

  var getUrlParameter = function getUrlParameter(sParam) {
    var sPageURL = window.location.search.substring(1),
        sURLVariables = sPageURL.split('&'),
        sParameterName,
        i;

    for (i = 0; i < sURLVariables.length; i++) {
        sParameterName = sURLVariables[i].split('=');

        if (sParameterName[0] === sParam) {
            return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
        }
    }
  };


  /**
   * Profiles from URL parameters
   */

  var profileCombination = getUrlParameter("profile");
  setCombination(profileCombination);


  /**
   * Set combination
   */

  function setCombination(id) {
    
    // Remove previous combination if it exist. 
    $(".kw-body").removeClass (function (index, className) {
      return (className.match (/(^|\s)kw-js-combination-\S+/g) || []).join(' ');
    });

    // Add new combination
    $(".kw-body").addClass("kw-js-combination-" + id);

  }


  /**
   * Slider
   */

  var postSlider = $(".kw-post"),
      postSliderSettings = {
        swipe:true,
        draggable: true,
        dots: true,
        arrows: false,
        adaptiveHeight: true,
        mobileFirst: true,
        responsive: [
          {
            breakpoint: 750,
            settings: "unslick"
          }
        ]
      }

  postSlider.slick(postSliderSettings);

  // Add responsive mode to slider
  $(window).on("resize", function() {
    if ($(window).width() > 750) {
      if (postSlider.hasClass("slick-initialized")) {
        postSlider.slick("unslick");
        return
      }
    }
    if ( ! postSlider.hasClass('slick-initialized')) {
      return postSlider.slick(postSliderSettings);
    }
  });



  /**
   * Collapse
   */

  var collapseButton = $(".kw-post__button");

  function collapse() {

    // Collapse basic feature
    var collapseWrapper = $(this).parent(".kw-post__collapse"),
        collapsibleItem = $(this).siblings(".kw-post__hidden-block"),
        collapsibleItemHeight = collapsibleItem.prop("scrollHeight"),
        isOpen = collapseWrapper.hasClass("is-open");
    if (isOpen) {
      collapsibleItem.css("max-height", 0)
      collapseWrapper.removeClass("is-open");
    } else {
      collapsibleItem.css("max-height", collapsibleItemHeight);
      collapseWrapper.addClass("is-open");
    }

    // Update slider height on small devices.
    var parentSlider = $(this).parents(".slick-slider"),
        parentList = $(this).parents(".slick-list"),
        sliderHeight = parentSlider.height();
        listHeight = parentList.height();
    if (parentSlider && isOpen) {
      parentSlider.css("height", sliderHeight - collapsibleItemHeight);
      parentList.css("height", sliderHeight - collapsibleItemHeight - 30);
    } else if (parentSlider && !isOpen) {
      parentSlider.css("height", sliderHeight + collapsibleItemHeight);
      parentList.css("height", sliderHeight + collapsibleItemHeight - 30);

    }
  }

  collapseButton.on("click", collapse);


  /**
   * Smooth scrolling
   */

  $(".kw-results__text strong a").on("click", function(e) {
    e.preventDefault();
    var anchor = $(this.hash);
    anchor = anchor.length ? anchor : $("[name=" + this.hash.slice(1) +"]");
    if ( anchor.length ) {
      $("html, body").animate( { scrollTop: anchor.offset().top }, 500);
    }
  });


  /**
   * Pop-in system
   */
  
  var popinLink = $(".kw-js-popin-toggler");

  popinLink.on("click", togglePopin);

  function togglePopin() {
    var closeButton = $(this).hasClass("kw-popin__close");
    if (closeButton) {
      closePopin();
    } else {
      var popinTarget = $($(this).attr("href"));  
      popinTarget.addClass("is-open");
    }
  }

  function closePopin() {
    $(".testcontrol")[0].contentWindow.postMessage('{"event":"command","func":"' + 'pauseVideo' + '","args":""}', '*');
    $(".testcontrol2")[0].contentWindow.postMessage('{"event":"command","func":"' + 'pauseVideo' + '","args":""}', '*');
    $(".testcontrol3")[0].contentWindow.postMessage('{"event":"command","func":"' + 'pauseVideo' + '","args":""}', '*');
    $(".testcontrol4")[0].contentWindow.postMessage('{"event":"command","func":"' + 'pauseVideo' + '","args":""}', '*');
    $(".testcontrol5")[0].contentWindow.postMessage('{"event":"command","func":"' + 'pauseVideo' + '","args":""}', '*');
    
    $(".kw-popin").removeClass("is-open");
  }
  $(document).keydown(function(e) {
    if (e.keyCode == 27) {
      closePopin();
    }
  });

  $(".kw-popin").on("click", function() {
    closePopin();
  });


  /**
   * Reveal effects for large screens
   */

  if ($(window).width() > 1000) {

    window.sr = ScrollReveal();

    var slideUp = {
      distance: "100px",
      origin: "bottom",
      easing: "ease-out",
      scale: 1,
      opacity: null
    },
    slideUpDelayed = {
      distance: "100px",
      origin: "bottom",
      easing: "ease-out",
      scale: 1,
      opacity: null,
      delay: 100
    };

    sr.reveal(".kw-product-details__text-bg", slideUp);
    sr.reveal(".kw-product-details__subtitle", slideUp);


    sr.reveal(".kw-product-details__title", {
      distance: "100px",
      origin: "bottom",
      easing: "ease-out",
      scale: 1,
      opacity: null,
      delay: 100
    });

    sr.reveal(".kw-product-card:nth-child(1)", {
      distance: "400px",
      origin: "bottom",
      easing: "ease-out",
      scale: 1,
      opacity: null,
      duration: 1000
    });

    sr.reveal(".kw-product-card:nth-child(2)", {
      distance: "400px",
      origin: "bottom",
      easing: "ease-out",
      scale: 1,
      opacity: null,
      duration: 1000,
      delay: 100
    });

    sr.reveal(".kw-product-card:nth-child(3)", {
      distance: "400px",
      origin: "bottom",
      easing: "ease-out",
      scale: 1,
      opacity: null,
      duration: 1000
    });

    sr.reveal(".kw-product-card:nth-child(4)", {
      distance: "400px",
      origin: "bottom",
      easing: "ease-out",
      scale: 1,
      opacity: null,
      duration: 1000,
      delay: 100
    });

    sr.reveal(".kw-product-details__image-wrapper", {
      distance: "400px",
      origin: "bottom",
      easing: "ease-out",
      scale: 1,
      opacity: null,
      duration: 1000,
      delay: 100
    });

    sr.reveal(".kw-highlight--video .kw-highlight__title", slideUp);
    sr.reveal(".kw-highlight--video .kw-highlight__subtitle", slideUp);
    sr.reveal(".kw-highlight--video .kw-highlight__link", slideUp);
    sr.reveal(".kw-post__part-1", slideUp);
    sr.reveal(".kw-post__part-2", slideUpDelayed);
    sr.reveal(".kw-footer__text-bg", slideUp);
    sr.reveal(".kw-footer__image-wrapper", slideUp);
    sr.reveal(".kw-footer__text-wrapper", slideUp);
    sr.reveal(".kw-footer__links", slideUp);


  }


  


});